Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.servlet
Class RequestContext

`java.lang.Object
com.tangosol.util.Base
com.tangosol.coherence.servlet.RequestContext`

Direct Known Subclasses:
  HttpRequestContext

Deprecated. In releases following 3.6 customization will be declarative.

      public class RequestContext

extends Base

Request context information for a standard Servlet request.

Version:
  Coherence 2.3
Author:
  cp 2003.09.13

Constructor Summary
`RequestContext(SessionHelper helper, javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)` Deprecated. Construct a RequestContext object to hold the state of the request and response.

Method Summary
`int` | `decReferenceCount()` Deprecated. Decrement the reference count.
`protected String` | `getDescription()` Deprecated. Returns a string representation of this object's attributes.
`int` | `getReferenceCount()` Deprecated. Get the current reference count.
`javax.servlet.ServletRequest` | `getServletRequest()` Deprecated. Get the wrapped ServletRequest.
`javax.servlet.ServletResponse` | `getServletResponse()` Deprecated. Get the wrapped ServletResponse.
`SessionHelper` | `getSessionHelper()` Deprecated. Get the SessionHelper.
`int` | `incReferenceCount()` Deprecated. Increment the reference count.
`String` | `toString()` Deprecated. Returns a string representation of the object.
`protected javax.servlet.ServletRequest` | `unwrapServletRequest()` Deprecated. Return the fully unwrapped ServletRequest.

Constructor Detail

### RequestContext

    public RequestContext(SessionHelper helper,
                          javax.servlet.ServletRequest req,
                          javax.servlet.ServletResponse res)

  Deprecated.
  Construct a RequestContext object to hold the state of the request and response.
  Parameters:
    `helper` - the SessionHelper for this application
    `req` - the current ServletRequest object
    `res` - the current ServletResponse object

Method Detail

### getSessionHelper

    public SessionHelper getSessionHelper()

  Deprecated.
  Get the SessionHelper.
  Returns:
    the SessionHelper for this app

### getServletRequest

    public javax.servlet.ServletRequest getServletRequest()

  Deprecated.
  Get the wrapped ServletRequest.
  Returns:
    the wrapped ServletRequest

### getServletResponse

    public javax.servlet.ServletResponse getServletResponse()

  Deprecated.
  Get the wrapped ServletResponse.
  Returns:
    the wrapped ServletResponse

### getReferenceCount

    public int getReferenceCount()

  Deprecated.
  Get the current reference count.
  Returns:
    the current reference count

### incReferenceCount

    public int incReferenceCount()

  Deprecated.
  Increment the reference count.
  Returns:
    the new reference count

### decReferenceCount

    public int decReferenceCount()

  Deprecated.
  Decrement the reference count.
  Returns:
    the new reference count

### toString

    public String toString()

  Deprecated.
  Returns a string representation of the object.
  Returns:
    a string representation of the object

### getDescription

    protected String getDescription()

  Deprecated.
  Returns a string representation of this object's attributes.
  Returns:
    a string representation of this object's attributes

### unwrapServletRequest

    protected javax.servlet.ServletRequest unwrapServletRequest()

  Deprecated.
  Return the fully unwrapped ServletRequest.
  Returns:
    the fully unwrapped ServletRequest

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.